Bug 486890 - Enabling desktop effects on Mobility Radeon 9200 M9+ causes oops
Enabling desktop effects on Mobility Radeon 9200 M9+ causes oops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 18:27 EST by James
Modified: 2009-08-07 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 07:24:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (34.09 KB, text/plain)
2009-02-22 18:33 EST, James
no flags Details
glxinfo output (6.22 KB, text/plain)
2009-02-22 18:33 EST, James
no flags Details
Xorg.0.log for Radeon R100 QD [Radeon 7200] rev 0 (154.04 KB, text/plain)
2009-02-25 01:18 EST, Joachim Frieben
no flags Details
Xorg.0.log from Ubuntu 9.04 as of 2009-02-24 on Radeon 7200 (R100 QD) (53.54 KB, text/plain)
2009-02-25 13:16 EST, Joachim Frieben
no flags Details
Xorg.0.log for Radeon R100 QD [Radeon 7200] rev 0 and "rawhide" X Server 1.5.99.903 (1.6.0 RC 3) (102.78 KB, text/plain)
2009-02-25 13:25 EST, Joachim Frieben
no flags Details
X.org log for Mobility Radeon 9200 M9+ (42.63 KB, text/plain)
2009-02-25 15:48 EST, James
no flags Details
kernel-2.6.29-16.fc11.i586 dmesg on Radeon M9+ with modesetting enabled (37.36 KB, text/plain)
2009-03-29 10:18 EDT, James
no flags Details
kernel-2.6.29-16.fc11.i586 dmesg on Radeon M9+ with nomodeset (41.95 KB, text/plain)
2009-03-29 10:19 EDT, James
no flags Details

  None (edit)
Description James 2009-02-22 18:27:24 EST
Description of problem:
Enabling Desktop Effects

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James 2009-02-22 18:30:39 EST
*** NOTE *** Ignore the details above. My hand slipped onto the Enter key in the summary box and the bug was submitted. Please alter the Bugzilla form to prevent this happening in the future!

Enabling Desktop Effects on my Mobility Radeon 9200-based notebook leads to a white screen.

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.137.rc5.git4.fc11.i586
xorg-x11-drv-ati-6.10.0-3.fc11.i586
compiz-0.7.8-12.fc11.i386
mesa-dri-drivers-7.3-2.fc11.i386

How reproducible:
Always.

Steps to Reproduce:
1. Enable Desktop Effects.
  
Actual results:
White screen.

Expected results:
Bling.

Additional info:
No xorg.conf file. Logs attached. Note that compiz segfaulted:
compiz[2923]: segfault at 7f2b50 ip 007f2b50 sp bfb5d434 error 4 in librt-2.9.90.so[834000+8000]
Comment 2 James 2009-02-22 18:33:11 EST
Created attachment 332883 [details]
dmesg output
Comment 3 James 2009-02-22 18:33:42 EST
Created attachment 332884 [details]
glxinfo output
Comment 4 Matěj Cepl 2009-02-24 13:01:21 EST
Can we get /var/log/Xorg.0.log as well, please?

Thank you

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2009-02-24 13:02:08 EST
(and forget that silly signature -- I was fixing the script for our volunteers and forgot to switch it off)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Matěj Cepl 2009-02-24 13:02:25 EST
still?
Comment 7 Joachim Frieben 2009-02-25 01:18:38 EST
Created attachment 333136 [details]
Xorg.0.log for Radeon R100 QD [Radeon 7200] rev 0

I think see this issue with an Radeon R100 QD [Radeon 7200] rev 0:
- for current "rawhide" the screen turns white when desktop effects get
  enabled. However, the mouse pointer is still visible on top and can be
  moved.
- for current F10 w/updates, the screen seems stuck for about 30 seconds,
  but then the desktop switches back to non composite mode.
  'dmesg' returns a segfault at its tail, one for every try but seemingly
  in random places:

  compiz[2620]: segfault at 215b60 ip 00215b60 sp bfe1d964 error 4 in
    libxcb.so.1.0.0[27b000+1b000]
  compiz[2981]: segfault at ecab60 ip 00ecab60 sp bfd29cd4 error 4 in
    libICE.so.6.3.0[f56000+17000]
  compiz[2567]: segfault at 6cab60 ip 006cab60 sp bfa93f94 error 4 in
    libXinerama.so.1.0.0[718000+2000]
  compiz[2612]: segfault at e0cb60 ip 00e0cb60 sp bf91ef54 error 4 in
    compiz[8048000+37000]
  compiz[3302]: segfault at b81b60 ip 00b81b60 sp bfeea354 error 4 in
    libX11-xcb.so.1.0.0[bc0000+1000]

Note: choosing "AccelMethod" "xaa" instead of "xaa" does not alter the outcome.
Comment 8 Joachim Frieben 2009-02-25 01:19:39 EST
Note: choosing "AccelMethod" "xaa" instead of "exa" does not alter the outcome.
Comment 9 Joachim Frieben 2009-02-25 08:11:30 EST
I have checked against yesterday's Ubuntu 9.04 snapshot (X server 1.5.99.902 and kernel 2.6.28.x), and there, desktop effects actually work.
Comment 10 Matěj Cepl 2009-02-25 09:48:44 EST
Could we get /var/log/Xorg.0.log from Ubuntu as well? Do you have there -ati driver or something else?
Comment 11 Joachim Frieben 2009-02-25 13:16:31 EST
Created attachment 333197 [details]
Xorg.0.log from Ubuntu 9.04 as of 2009-02-24 on Radeon 7200 (R100 QD)

- default mode is 1280x1024 at 24bpp.
- dmesg reports:
   [drm] Initialized drm 1.1.0 20060810
   [drm] Initialized radeon 1.29.0 20080528 on minor 0
Comment 12 Joachim Frieben 2009-02-25 13:25:01 EST
Created attachment 333198 [details]
Xorg.0.log for Radeon R100 QD [Radeon 7200] rev 0 and "rawhide" X Server 1.5.99.903 (1.6.0 RC 3)

This is Xorg.0.log for a Fedora "rawhide" live CD spun on 2009-02-23. The screen turns white when trying to enable desktop effects but falls back to non-composite rendering after about 10 seconds. The system thus is not locked up. Launching 'desktop-effects' from a shell returns:

[liveuser@localhost ~]$ desktop-effects 

(gtk-window-decorator:2972): metacity-CRITICAL **: meta_frame_style_draw_with_style: assertion `style_gtk->colormap == gdk_drawable_get_colormap (drawable)' failed
Comment 13 James 2009-02-25 15:48:07 EST
Created attachment 333225 [details]
X.org log for Mobility Radeon 9200 M9+

Sorry for the delay.
Comment 14 Matěj Cepl 2009-02-25 18:26:59 EST
Most important part is most likely ATI driver ... could you give a try to
* xorg-x11-drv-ati-6.10.0-3.fc11 driver (from https://koji.fedoraproject.org/koji/buildinfo?buildID=83009),
* xorg-x11-server-1.6.0-1 (yey! from https://koji.fedoraproject.org/koji/buildinfo?buildID=87541), and
* kernel 2.6.29-0.157.rc6.git2.fc11 (from https://koji.fedoraproject.org/koji/buildinfo?buildID=87713), please?

How does it work?
Comment 15 Matěj Cepl 2009-02-25 18:32:26 EST
... and

* mesa-7.3-5.fc11 (from https://koji.fedoraproject.org/koji/buildinfo?buildID=83971)

as well, please

THank you
Comment 16 James 2009-02-26 16:45:55 EST
Re comment #14 and comment #15: Tried all that. X froze, kernel oopsed, had to reboot.

Feb 26 00:26:43 localhost kernel: BUG: unable to handle kernel paging request at 6b6b6b6b
Feb 26 00:26:43 localhost kernel: IP: [<e09c588d>] radeon_commit_ring+0x73/0x9d [radeon]
Feb 26 00:26:43 localhost kernel: *pde = 00000000 
Feb 26 00:26:43 localhost kernel: Oops: 0000 [#1] SMP 
Feb 26 00:26:43 localhost kernel: last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:15/PNP0C0A:00/power_supply/BAT1/charge_full
Feb 26 00:26:43 localhost kernel: Modules linked in: aes_i586 aes_generic fuse rfkill_input bridge stp llc bnep sco l2cap bluetooth ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath uinput arc4 ecb b43 rfkill mac80211 cfg80211 input_polldev ppdev snd_atiixp snd_atiixp_modem snd_ac97_codec snd_seq_dummy ac97_bus snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss pcspkr joydev snd_pcm snd_timer serio_raw snd soundcore snd_page_alloc firewire_ohci firewire_core 8139too ssb yenta_socket 8139cp crc_itu_t rsrc_nonstatic mii i2c_piix4 wmi parport_pc parport video output ata_generic pata_acpi pata_atiixp ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: microcode]
Feb 26 00:26:43 localhost kernel:
Feb 26 00:26:43 localhost kernel: Pid: 2270, comm: Xorg Not tainted (2.6.29-0.153.rc6.git2.fc11.i586 #1) Pavilion zx5000 (DS416E#ABU)  
Feb 26 00:26:43 localhost kernel: EIP: 0060:[<e09c588d>] EFLAGS: 00013246 CPU: 0
Feb 26 00:26:43 localhost kernel: EIP is at radeon_commit_ring+0x73/0x9d [radeon]
Feb 26 00:26:43 localhost kernel: EAX: de79e120 EBX: e1000000 ECX: 00000028 EDX: 6b6b6b6b
Feb 26 00:26:43 localhost kernel: ESI: 0002384f EDI: de2422d0 EBP: deee4d88 ESP: deee4d80
Feb 26 00:26:43 localhost kernel: DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Feb 26 00:26:43 localhost kernel: Process Xorg (pid: 2270, ti=deee4000 task=d7033ed0 task.ti=deee4000)
Feb 26 00:26:43 localhost kernel: Stack:
Feb 26 00:26:43 localhost kernel: de79e120 00023843 deee4d98 e09c72f9 de79e120 de79d0f0 deee4dac e09c9505
Feb 26 00:26:43 localhost kernel: de79d0f0 de79d100 de2422d0 deee4db4 e09cfa1f deee4dd0 e0809884 deee4dc8
Feb 26 00:26:43 localhost kernel: c0546940 de79d0f0 de79d100 de2422d0 deee4df4 e080a02b de525c98 de79d250
Feb 26 00:26:43 localhost kernel: Call Trace:
Feb 26 00:26:43 localhost kernel: [<e09c72f9>] ? radeon_do_cp_idle+0xf8/0x106 [radeon]
Feb 26 00:26:43 localhost kernel: [<e09c9505>] ? radeon_do_release+0x5e/0x127 [radeon]
Feb 26 00:26:43 localhost kernel: [<e09cfa1f>] ? radeon_driver_lastclose+0xd/0xf [radeon]
Feb 26 00:26:43 localhost kernel: [<e0809884>] ? drm_lastclose+0x3b/0x24e [drm]
Feb 26 00:26:43 localhost kernel: [<c0546940>] ? _raw_spin_unlock+0x74/0x78
Feb 26 00:26:43 localhost kernel: [<e080a02b>] ? drm_release+0x3e7/0x415 [drm]
Feb 26 00:26:43 localhost kernel: [<c04ab014>] ? __fput+0xd7/0x163
Feb 26 00:26:43 localhost kernel: [<c04ab0ba>] ? fput+0x1a/0x1c
Feb 26 00:26:43 localhost kernel: [<c04a847f>] ? filp_close+0x56/0x60
Feb 26 00:26:43 localhost kernel: [<c0431776>] ? put_files_struct+0x5d/0xa1
Feb 26 00:26:43 localhost kernel: [<c04317ed>] ? exit_files+0x33/0x37
Feb 26 00:26:43 localhost kernel: [<c0432ff4>] ? do_exit+0x1c8/0x74f
Feb 26 00:26:43 localhost kernel: [<c04335df>] ? do_group_exit+0x64/0x8b
Feb 26 00:26:43 localhost kernel: [<c043bf61>] ? get_signal_to_deliver+0x267/0x27e
Feb 26 00:26:43 localhost kernel: [<c0403316>] ? do_notify_resume+0x6e/0x610
Feb 26 00:26:43 localhost kernel: [<c040868d>] ? sched_clock+0x9/0xd
Feb 26 00:26:43 localhost kernel: [<c044e524>] ? lock_release_holdtime+0x2b/0x123
Feb 26 00:26:43 localhost kernel: [<c046dc83>] ? audit_syscall_entry+0x16b/0x191
Feb 26 00:26:43 localhost kernel: [<c040a808>] ? syscall_trace_enter+0xb7/0xcb
Feb 26 00:26:43 localhost kernel: [<c04040a0>] ? work_notifysig+0x13/0x23
Feb 26 00:26:43 localhost kernel: Code: 83 b8 58 03 00 00 00 74 08 8b 90 5c 03 00 00 eb 1a 8b 90 d0 00 00 00 8b 52 10 eb 0f 8b 90 90 03 00 00 8b 52 10 81 c2 10 07 00 00 <8b> 12 8b 88 90 03 00 00 8b 50 1c 8b 49 10 81 c1 14 07 00 00 89 
Feb 26 00:26:43 localhost kernel: EIP: [<e09c588d>] radeon_commit_ring+0x73/0x9d [radeon] SS:ESP 0068:deee4d80
Feb 26 00:26:43 localhost kernel: ---[ end trace 3e7a8e14035dd871 ]---
Feb 26 00:26:43 localhost kernel: Fixing recursive fault but reboot is needed!
Comment 17 James 2009-03-08 06:31:38 EDT
Pretty much the same thing happens with kernel-2.6.29-0.207.rc7.fc11.i586, xorg-x11-drv-ati-6.11.0-5.fc11.i586, and mesa-dri-drivers-7.3-10.fc11.i586. Call trace is slightly different,

 [<e09f20a2>] ? radeon_get_ring_head+0x26/0x4e [radeon]
 [<e09f2b9d>] ? radeon_commit_ring+0x4b/0x98 [radeon]
 [<e0a022a1>] ? r600_do_cp_idle+0xad/0xb9 [radeon]
 [<e09f7edc>] ? radeon_do_release+0x6c/0x19a [radeon]
 [<e09fe703>] ? radeon_driver_lastclose+0x49/0x4f [radeon]
 [<e08098b7>] ? drm_lastclose+0x3b/0x250 [drm]
 [<c0546aa8>] ? _raw_spin_unlock+0x74/0x78
 [<e0809f04>] ? drm_release+0x42c/0x45a [drm]
 [<c04ab138>] ? __fput+0xd7/0x163
 [<c04ab1de>] ? fput+0x1a/0x1c
 [<c04a85a3>] ? filp_close+0x56/0x60
 [<c04317aa>] ? put_files_struct+0x5d/0xa1
 [<c0431821>] ? exit_files+0x33/0x37
 [<c0433028>] ? do_exit+0x1c8/0x74f
 [<c0433613>] ? do_group_exit+0x64/0x8b
 [<c043bfa5>] ? get_signal_to_deliver+0x267/0x27e
 [<c0403316>] ? do_notify_resume+0x6e/0x610
 [<c040868d>] ? sched_clock+0x9/0xd
 [<c044e5fe>] ? lock_release_holdtime+0x2b/0x123
 [<c046dd95>] ? audit_syscall_entry+0x16b/0x191
 [<c040a808>] ? syscall_trace_enter+0xb7/0xcb
 [<c04040a0>] ? work_notifysig+0x13/0x23

but the end results are the same.
Comment 18 James 2009-03-28 15:59:37 EDT
The oops no longer occurs with kernel-2.6.29-0.258.2.3.rc8.git2.fc11.i586 and xorg-x11-drv-ati-6.11.0-10.fc11.i586, but I'm back to the white screen.
Comment 19 James 2009-03-29 10:17:59 EDT
I've just tried out some of the latest package from Koji:  kernel-2.6.29-16.fc11.i586, xorg-x11-drv-ati-6.12.0-2.fc11, mesa-dri-drivers-7.5-0.4.fc11.i586.rpm, libdrm-2.4.5-3.fc11.

If I allow modesetting to work, the text-mode console is broken but X starts. drm is badly broken ("drm:drm_agp_bind_ttm] *ERROR* AGP Bind memory failed" etc. in the logs) and glxgears only runs at ~50 fps. I'll report a separate bug for this. In these circumstances, I get a white screen.

If I disable modesetting with nomodeset, glxgears gets up to ~1200 fps (as it should), but enabling desktop effects gives the kernel oops (in radeon_get_ring_head).

See attachements for the dmesg logs for both cases.
Comment 20 James 2009-03-29 10:18:42 EDT
Created attachment 337172 [details]
kernel-2.6.29-16.fc11.i586 dmesg on Radeon M9+ with modesetting enabled
Comment 21 James 2009-03-29 10:19:25 EDT
Created attachment 337173 [details]
kernel-2.6.29-16.fc11.i586 dmesg on Radeon M9+ with nomodeset
Comment 22 Bruce Brackbill 2009-05-21 06:20:24 EDT
I don't know if this is helpful/related or not but i also see:

[drm] Detected VRAM RAM=131072K, accessible=131072K, BAR=262144K
agpgart-ati 0000:00:00.0: AGP 2.0 bridge
agpgart-ati 0000:00:00.0: putting AGP V2 device into 4x mode
radeon 0000:01:05.0: putting AGP V2 device into 4x mode
[drm] setting agp_base to d0000000
[drm] setting agp_location to d0000000
[drm:drm_agp_bind_ttm] *ERROR* AGP Bind memory failed
[drm:drm_ttm_bind] *ERROR* Couldn't bind backend.
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. e6d0e800 256 2000031 10000a0
[drm:radeon_alloc_gart_objects] *ERROR* failed to allocate ring - most likely an AGP driver bug
radeon 0000:01:05.0: PCI INT A disabled
radeon: probe of 0000:01:05.0 failed with error -22

But if I add nomodeset i get:

agpgart-ati 0000:00:00.0: AGP 2.0 bridge
agpgart-ati 0000:00:00.0: putting AGP V2 device into 4x mode
pci 0000:01:05.0: putting AGP V2 device into 4x mode
[drm] Setting GART location based on new memory map
[drm] Loading R100 Microcode
[drm] writeback test succeeded in 1 usecs


And glxgears report a better rate of 230 fps with nomodeset and 90fps without nomodeset.


[root@localhost ~]# lspci -vvv

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 330M/340M/350M (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device 8158
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B+ DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at a000 [size=256]
	Region 2: Memory at c0500000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at c0520000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
		Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
		Command: RQ=16 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel modules: radeon, radeonfb

Fedora 11 preview with updates 
Linux localhost.localdomain 2.6.29.3-140.fc11.i686.PAE #1 SMP Tue May 12 10:44:10 EDT 2009 i686 i686 i386 GNU/Linux
Comment 23 Bug Zapper 2009-06-09 07:35:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 James 2009-07-28 11:07:02 EDT
This seems cleared up for me on my hardware in Rawhide. Anyone object to me closing it?

Note You need to log in before you can comment on or make changes to this bug.